javax.xml.bind.annotation.adapters

## Class NormalizedStringAdapter

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlAdapter<String,String>
  - - javax.xml.bind.annotation.adapters.NormalizedStringAdapter

    public final class NormalizedStringAdapter
    extends XmlAdapter<String,String>

`XmlAdapter` to handle `xs:normalizedString`.

This adapter removes leading and trailing whitespaces, then replace any tab, CR, and LF by a whitespace character ' '.

Since:
  JAXB 2.0

### Constructor Summary

Constructors
Constructor and Description
`NormalizedStringAdapter()`

### Method Summary

Methods
`protected static boolean` `isWhiteSpaceExceptSpace(char ch)` Returns true if the specified char is a white space character but not 0x20.
`String` `marshal(String s)` No-op.
`String` `unmarshal(String text)` Replace any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NormalizedStringAdapter

    public NormalizedStringAdapter()

### Method Detail

#### unmarshal

    public String unmarshal(String text)

Replace any tab, CR, and LF by a whitespace character ' ', as specified in the whitespace facet 'replace'

Specified by:
  `unmarshal` in class `XmlAdapter<String,String>`
Parameters:
  `text` - The value to be converted. Can be null.

#### marshal

    public String marshal(String s)

No-op. Just return the same string given as the parameter.

Specified by:
  `marshal` in class `XmlAdapter<String,String>`
Parameters:
  `s` - The value to be convereted. Can be null.

#### isWhiteSpaceExceptSpace

    protected static boolean isWhiteSpaceExceptSpace(char ch)

Returns true if the specified char is a white space character but not 0x20.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.